import React from "react";
import styles from "./TeamMember.module.css";
import { Image } from "./Image";

interface TeamMemberProps {
  name: string;
  role: string;
  image?: string;
  size?: "small" | "medium";
}

export const TeamMember: React.FC<TeamMemberProps> = ({
  name,
  role,
  image,
  size,
}) => {
  const imgSize = size ? "img_" + size : "img_small";
  const captionSize = size ? "caption_" + size : "";
  return (
    <div className={styles.container}>
      <Image
        className={styles.img + " " + styles[imgSize]}
        src={image ?? "/images/team-member-placeholder.svg"}
        alt={`Picture of ${name}`}
      />
      <div className={styles.caption + " " + styles[captionSize]}>
        <div className={styles.name}>{name}</div>
        <div className={styles.role}>{role}</div>
      </div>
    </div>
  );
};
